Bug 427420 - SELinux is preventing /usr/sbin/setsebool (setsebool_t) "setbool" to <Unknown> (security_t).
SELinux is preventing /usr/sbin/setsebool (setsebool_t) "setbool" to <Un...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
8
i686 Linux
low Severity urgent
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-03 13:21 EST by Dave
Modified: 2008-02-26 17:46 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-26 17:46:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave 2008-01-03 13:21:56 EST
Summary
    SELinux is preventing /usr/sbin/setsebool (setsebool_t) "setbool" to
    <Unknown> (security_t).

Detailed Description
    SELinux denied access requested by /usr/sbin/setsebool. It is not expected
    that this access is required by /usr/sbin/setsebool and this access may
    signal an intrusion attempt. It is also possible that the specific version
    or configuration of the application is causing it to require additional
    access.

Allowing Access
    You can generate a local policy module to allow this access - see
    http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385 Or you can disable
    SELinux protection altogether. Disabling SELinux protection is not
    recommended. Please file a http://bugzilla.redhat.com/bugzilla/enter_bug.cgi
    against this package.

Additional Information        

Source Context                system_u:system_r:setsebool_t
Target Context                system_u:object_r:security_t
Target Objects                None [ security ]
Affected RPM Packages         policycoreutils-2.0.33-3.fc8 [application]
Policy RPM                    selinux-policy-3.0.8-72.fc8
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   plugins.catchall
Host Name                     home.supercaregistry.info
Platform                      Linux home.supercaregistry.info 2.6.23.9-85.fc8 #1
                              SMP Fri Dec 7 15:49:59 EST 2007 i686 i686
Alert Count                   1
First Seen                    Thu 03 Jan 2008 11:18:09 AM MST
Last Seen                     Thu 03 Jan 2008 11:18:09 AM MST
Local ID                      ac3dc4ae-9a32-4f27-b196-2d492d65e399
Line Numbers                  

Raw Audit Messages            

avc: denied { setbool } for comm=setsebool egid=0 euid=0 exe=/usr/sbin/setsebool
exit=-13 fsgid=0 fsuid=0 gid=0 items=0 pid=5858
scontext=system_u:system_r:setsebool_t:s0 sgid=0
subj=system_u:system_r:setsebool_t:s0 suid=0 tclass=security
tcontext=system_u:object_r:security_t:s0 tty=(none) uid=0
Comment 1 Daniel Walsh 2008-01-03 14:47:51 EST
This is strange it would be allowed by the current policy.

Did you previously turn on one of the secure_mode booleans?
getsebool -a | grep secure_mode

Note You need to log in before you can comment on or make changes to this bug.